Get the results of the location status report

Body·
application/json
  • warehouseId
    Type: string | nullFormat: uuid

    The warehouse to filter by

  • warehouseLocationOccupied
    Type: boolean | null

    Whether to only include occupied locations

Responses
  • application/json
Request Example for post/v1/reports/location-status
curl https://api.consignlyhq.com/v1/reports/location-status \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "warehouseId": null,
  "warehouseLocationOccupied": null
}'
[
  {
    "warehouseName": null,
    "totalLocationsOccupied": 1,
    "totalLocationsEmpty": 1,
    "totalLocations": 1,
    "locations": [
      {
        "warehouseLocationName": null,
        "warehouseZoneName": null,
        "isOccupied": true
      }
    ]
  }
]